<?php
%REQUIRE_LOGIN%

$error = false;
$error_message = "";
if (!$error) {
  $statement = $pdo->prepare("INSERT INTO posts (board_id, user_id, content, title) VALUES (:bid, :uid, :content, :title)");
  $result = $statement->execute(array('bid'=>$id, 'uid'=>$user_id, 'content'=>$content, 'title'=>$title));
}
if (!$result) {
    $error_message = "<p>Error: SQL error.</p><pre>" . $statement->queryString . "</pre><pre>" . $statement->errorInfo()[2] . "</pre>";
}

echo "<section><center><h1>Submitting your post...</h1></center></section>";
?>